Permalink
Browse files

Link to list of contributors, update dependencies and changelog

  • Loading branch information...
ahx committed Mar 23, 2011
1 parent e1aa7ce commit 55241f83e0e8fd621f5324d87fe277dd61e5f19b
Showing with 12 additions and 9 deletions.
  1. +2 −0 CHANGES
  2. +3 −4 Gemfile.lock
  3. +4 −2 README.rdoc
  4. +3 −3 hunspell-ffi.gemspec
View
@@ -1,4 +1,6 @@
= 0.1.3 (Work in progress)
+ * Update ffi version (~>1.0.7)
+ * New alias: Hunspell#check? for Hunspell#check
* New methods: #add(word), #remove(word), #add_with_affix(word, example) to
add/remove words from the run-time dictionary.
* Show a warning when we cannot find aff/dic files.
View
@@ -1,19 +1,18 @@
PATH
remote: .
specs:
- hunspell-ffi (0.1.3.alpha)
- ffi (~> 0.6.3)
+ hunspell-ffi (0.1.3.alpha2)
+ ffi (~> 1.0.7)
GEM
remote: http://rubygems.org/
specs:
- ffi (0.6.3)
+ ffi (1.0.7)
rake (>= 0.8.7)
rake (0.8.7)
PLATFORMS
ruby
DEPENDENCIES
- ffi (~> 0.6.3)
hunspell-ffi!
View
@@ -22,8 +22,9 @@ On Debian:
== Usage
require 'hunspell-ffi'
dict = Hunspell.new("path/to/cakes.aff", "path/to/cakes.dic")
- dict.spell("Baumkuchen") # => true same as #check
+ dict.spell("Baumkuchen") # => true same as #check, #check?
dict.spell("Bomcuken") # => false
+ dict.check?("Bomcuken") # => false
dict.suggest("Baumgurken") # => ["Baumkuchen"]
dict.suggest("qwss43easd") # => []
@@ -32,7 +33,8 @@ On Debian:
dict.remove("Fichte")
== Authors
-Andreas Haller - https://github.com/ahaller
+Andreas Haller (https://github.com/ahaller) and contributors.
+Full list of contributors: https://github.com/ahaller/hunspell-ffi/contributors
== License
Hereby placed under public domain, do what you want, just do not hold me accountable.
View
@@ -1,14 +1,14 @@
# encoding: utf-8
Gem::Specification.new do |s|
s.name = 'hunspell-ffi'
- s.version = '0.1.3.alpha'
- s.date = '2010-08-6'
+ s.version = '0.1.3.alpha2'
+ s.date = '2011-03-23'
s.authors = ["Andreas Haller"]
s.email = ["andreashaller@gmail.com"]
s.homepage = "http://github.com/ahaller/hunspell-ffi"
s.summary = "A Ruby FFI interface to the Hunspell spelling checker"
- s.add_dependency 'ffi', '~> 0.6.3'
+ s.add_dependency 'ffi', '~> 1.0.7'
s.required_rubygems_version = ">= 1.3.6"
s.files = `git ls-files`.split("\n")

0 comments on commit 55241f8

Please sign in to comment.